<div class="container">
  <div class="row">
    <div class="col-xs-12 col-sm-10 col-md-8 col-sm-offset-1 col-md-offset-2">
      <form (ngSubmit)="onSubmit()" #f="ngForm">
        <div id="user-data" ngModelGroup="userData" #userData="ngModelGroup">
          <div class="form-group">
            <label for="username">Username</label>
            <input type="text" id="username" class="form-control" ngModel name="username" required>
          </div>
          <button class="btn btn-default" type="button" (click)="suggestUserName()">Suggest an Username</button>
          <div class="form-group">
            <label for="email">Mail</label>
            <input type="email" id="email" class="form-control" ngModel name="email" required email #email="ngModel">
            <span class="help-block" *ngIf="!email.valid && email.touched">Veillez entrer une adresse mail valide</span>
          </div>
        </div>
        <p *ngIf="!userData.valid && userData.touched">User data n'est pas valide</p>
        <div class="form-group">
          <label for="secret">Secret Questions</label>
          <select id="secret" class="form-control" [ngModel]="defaultQuestion" name="secret">
            <option value="pet">Your first Pet?</option>
            <option value="teacher">Your first teacher?</option>
          </select>
        </div>
        <div class="form-group">
          <textarea name="questionReponse" rows="3" [(ngModel)]="reponse" class="form-control"></textarea>
        </div>
        <p>Votre reponse: {{ reponse}} </p>
        <div class="radio" *ngFor="let genre of genres">
          <label>
            <input type="radio" name="genre" ngModel [value]="genre" required>
            {{ genre }}
          </label>
        </div>
        <button class="btn btn-primary" type="submit" [disabled]="!f.valid">Submit</button>
      </form>
    </div>
  </div>
  <hr>
  <div class="row" *ngIf="submitted">
    <div class="col-xs-12">
      <h3>Votre Data</h3>
      <p>Username: {{user.username}}</p>
      <p>Mail: {{user.email}}<p>
      <p>Question Secret: {{user.secretQuestion}}</p>
      <p>Question Reponse: {{user.answer}}</p>
      <p>Genre: {{user.genre}}</p>
    </div>
  </div>
</div>
